<div ng-controller="contactFormController as self"
     ng-init="self.init(<?= $this->contact ? $this->contact->getId() : '' ?>)">
	<ul class="breadcrumb">
		<li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
		<li><a href="<?= $this->url('directory/contact') ?>"><?= $this->translate('contact_module_title') ?></a></li>
		<li class="active">
            <span ng-if="self.contact.id">
                {{self.panelTitle}}
            </span>
			<span ng-if="!self.contact.id">
                <?= $this->translate('contact_nav_form') ?>
            </span>
		</li>
	</ul>

	<h1 class="page-title">
		<?= $this->icon('contact') ?> <?= $this->translate('contact_module_title') ?>
	</h1>

	<div class="row row-padding">
		<div class="col-xs-12">
			<div class="panel">
				<div class="panel-heading">
                    <span ng-if="self.contact.id">
                        {{self.panelTitle}}
                    </span>
					<span ng-if="!self.contact.id">
                        <?= $this->translate('contact_nav_form') ?>
                    </span>

					<div class="panel-heading-right">
						<div class="panel-heading-actions" ng-if="self.contact.id && self.contact._rights.delete">
							<?= $this->icon('delete', 'pointer', ['ng-click' => 'self.deleteContact()']) ?>
						</div>
					</div>
				</div>
				<div class="panel-body">
					<div class="row">
						<div class="col-sm-12">
							<form name="contactForm" ng-submit="self.saveContact()">
								<input type="hidden" name="id"
								       ng-model="self.contact.id"/>

								<div class="row">
									<div class="col-sm-6">
										<div class="row">
											<div class="form-group col-sm-12">
												<img ng-src="{{self.contact.avatar}}" width="50" height="50" ng-if="self.contact.id"/>

												<input type="file" nv-file-select uploader="self.uploader" ng-model="self.avatar" ng-if="self.contact._rights.update"/>
												<field-errors field="avatar" errors="self.errors.fields"></field-errors>
											</div>
										</div>
										<div class="row">
											<div class="form-group col-sm-6">
												<label for="gender">
													<?= $this->translate('contact_field_gender'); ?>
												</label>
												<select class="form-control" ng-model="self.contact.gender"
												        ng-readonly="!self.contact._rights.update">
													<option></option>
													<?php
													foreach (\Core\Entity\Contact\AbstractPerson::getGenders() as $gender) {
														echo '<option value="' . $gender . '">' . $this->translate('contact_gender_' . $gender) . '</option>';
													}
													?>
												</select>
												<field-errors field="gender" errors="self.errors.fields"></field-errors>
											</div>
											<?php if ($this->module()->isActive('event')) : ?>
												<div class="form-group col-sm-6">
													<label>
														<?= $this->translate('contact_field_vip'); ?>
													</label>
													<br>
													<input ng-model="self.contact.vip"
													       ng-readonly="!self.contact._rights.update"
													       type="checkbox"/>
													<field-errors field="vip"
													              errors="self.errors.fields">
													</field-errors>
												</div>
											<?php endif; ?>
										</div>
										<div class="row">
											<div class="form-group required col-sm-6">
												<label for="firstName">
													<?= $this->translate('contact_field_firstName'); ?>
												</label>
												<input type="text" id="firstName" class="form-control"
												       ng-model="self.contact.firstName" required
												       ng-readonly="!self.contact._rights.update"/>
												<field-errors field="firstName"
												              errors="self.errors.fields"></field-errors>
											</div>
											<div class="form-group required col-sm-6">
												<label for="lastName">
													<?= $this->translate('contact_field_lastName'); ?>
												</label>
												<input type="text" id="lastName" class="form-control"
												       ng-model="self.contact.lastName" required
												       ng-readonly="!self.contact._rights.update"/>
												<field-errors field="lastName"
												              errors="self.errors.fields"></field-errors>
											</div>
										</div>
										<div class="row">
											<div class="form-group col-sm-12">
												<label for="email">
													<?= $this->translate('contact_field_email'); ?>
												</label>
												<input type="email" id="email" class="form-control"
												       ng-model="self.contact.email"
												       ng-readonly="!self.contact._rights.update"/>
												<field-errors field="email" errors="self.errors.fields"></field-errors>
											</div>
										</div>
										<div class="row">
											<div class="form-group col-sm-6">
												<label for="phone">
													<?= $this->translate('contact_field_phone'); ?>
												</label>
												<input type="text"
												       id="phone"
												       class="form-control"
												       ng-model="self.contact.phone"
												       ng-readonly="!self.contact._rights.update"/>
												<field-errors field="phone" errors="self.errors.fields"></field-errors>
											</div>
											<div class="form-group col-sm-6">
												<label for="phone">
													<?= $this->translate('contact_field_portable'); ?>
												</label>
												<input type="text"
												       id="portable"
												       class="form-control"
												       ng-model="self.contact.portable"
												       ng-readonly="!self.contact._rights.update"/>
												<field-errors field="portable" errors="self.errors.fields"></field-errors>
											</div>
										</div>
										<?php if ($this->module()->isActive('event')) : ?>
											<div class="row">
												<div class="form-group col-sm-6">
													<label>
														<?= $this->translate('contact_field_subscriptionStatus'); ?>
													</label>
													<select class="form-control" ng-model="self.contact.subscriptionStatus"
													        ng-readonly="!self.contact._rights.update">
														<?php
														foreach (\Directory\Entity\Contact::getSubscriptionStatutes() as $status) {
															echo '<option value="' . $status . '">' . $this->translate('contact_subscription_status_' . $status) . '</option>';
														}
														?>
													</select>
													<field-errors field="subscriptionStatus"
													              errors="self.errors.fields">
													</field-errors>
												</div>
												<div class="form-group col-sm-6">
													<label>
														<?= $this->translate('contact_field_subscriptionStatusUpdatedAt'); ?>
													</label>
													<input type="text" input-date input-date-mask="datetime" name="subscriptionStatusUpdatedAt" class="form-control" autocomplete="off"
													       ng-model="self.contact.subscriptionStatusUpdatedAt" ng-readonly="!self.contact._rights.update"/>
													<field-errors field="subscriptionStatusUpdatedAt"
													              errors="self.errors.fields">
													</field-errors>
												</div>
											</div>
										<?php endif; ?>
									</div>
									<div class="col-sm-6">
										<div class="row">
											<div class="col-xs-12">
												<fieldset>
													<legend><?= $this->icon('address', 'fa-fw') ?> <?= $this->translate('directory_address') ?></legend>
													<div class="row">
														<div class="form-group col-xs-12">
															<label for="addressLine1">
																<?= $this->translate('contact_field_addressLine1'); ?>
															</label>
															<input type="text"
															       id="addressLine1"
															       class="form-control"
															       ng-model="self.contact.addressLine1"
															       ng-readonly="!self.contact._rights.update"/>
															<field-errors field="addressLine1"
															              errors="self.errors.fields"></field-errors>
														</div>
													</div>
													<div class="row">
														<div class="form-group col-xs-12">
															<label for="addressLine2">
																<?= $this->translate('contact_field_addressLine2'); ?>
															</label>
															<input type="text"
															       id="addressLine2"
															       class="form-control"
															       ng-model="self.contact.addressLine2"
															       ng-readonly="!self.contact._rights.update"/>
															<field-errors field="addressLine2"
															              errors="self.errors.fields"></field-errors>
														</div>
													</div>
													<div class="row">
														<div class="form-group col-xs-4">
															<label for="zipcode">
																<?= $this->translate('contact_field_zipcode'); ?>
															</label>
															<input type="text"
															       id="zipcode"
															       class="form-control"
															       ng-model="self.contact.zipcode"
															       ng-readonly="!self.contact._rights.update"/>
															<field-errors field="zipcode"
															              errors="self.errors.fields"></field-errors>
														</div>
														<div class="form-group col-xs-4">
															<label for="city">
																<?= $this->translate('contact_field_city'); ?>
															</label>
															<input type="text"
															       id="city"
															       class="form-control"
															       ng-model="self.contact.city"
															       ng-readonly="!self.contact._rights.update"/>
															<field-errors field="city"
															              errors="self.errors.fields"></field-errors>
														</div>
														<div class="form-group col-xs-4">
															<label for="country">
																<?= $this->translate('contact_field_country'); ?>
															</label>
															<input type="text"
															       id="country"
															       class="form-control"
															       ng-model="self.contact.country"
															       ng-readonly="!self.contact._rights.update"/>
															<field-errors field="country"
															              errors="self.errors.fields"></field-errors>
														</div>
													</div>
												</fieldset>
											</div>
										</div>
									</div>
								</div>


								<?php if ($this->module()->isActive('keyword')) : ?>
									<div class="row">
										<div class="col-xs-12">
											<fieldset>
												<legend><?= $this->icon('keyword', 'fa-fw') ?> <?= $this->translate('keywords') ?></legend>
												<keywords-form-group entity="contact" ng-model="self.contact"></keywords-form-group>
											</fieldset>
										</div>
									</div>
								<?php endif; ?>

                                <?php if ($this->module()->isActive('field')) : ?>
                                    <custom-fields
                                        cascade-save="{entity:'contact', id:self.contact.id}"
                                        entity="Directory\Entity\Contact"
                                        ng-model="self.contact" right="directory:e:contact"
                                        translations="{save: '<?= $this->translate('save') ?>'}">
                                    </custom-fields>
                                <?php endif ?>

								<div ng-if="self.contact._rights.update" class="row">
									<div class="form-group col-xs-12">
										<button type="submit" class="btn btn-submit"
										        ng-disabled="self.loading.remove || self.loading.save">
											<?= $this->icon('loading', '', ['ng-if' => 'self.loading.save']) ?>
											<?= $this->translate('form_button_save') ?>
										</button>
									</div>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>

			<?php if ($this->acl()->isAllowed('directory:e:contactEmail:r')): ?>
				<div ng-if="self.contact.id">
					<?= $this->partial('directory/partial/contact-emails.phtml') ?>
				</div>
			<?php endif ?>

			<?php if ($this->acl()->isAllowed('directory:e:job:r')): ?>
				<div ng-if="self.contact.id">
					<?= $this->partial('directory/partial/jobs.phtml') ?>
				</div>
			<?php endif ?>
		</div>
	</div>
</div>

<?php
$fabLinks = [];

if ($this->acl()->isAllowed('directory:e:contact:c')) {
	$fabLinks[] = [
		'href' => $this->url('directory/contact/form'),
		'text' => $this->icon('create', 'fa-fw') . ' ' . $this->translate('contact_nav_form')
	];
	$fabLinks[] = [
		'href' => $this->url('import', ['entity' => 'contact']),
		'text' => $this->icon('import', 'fa-fw') . ' ' . $this->translate('contact_nav_import')
	];
}

echo $this->fabMenu($fabLinks);
?>

<?php
$this->angular('js/src/keyword/directive/keywordsFormGroup.js');
$this->angular('js/src/keyword/directive/keywordSelect.js');

$this->angular('js/src/keyword/service/group.js');
$this->angular('js/src/keyword/service/keyword.js');
$this->angular('js/src/directory/service/structure.js');
$this->angular('js/src/directory/service/contact.js');

$this->angular('js/src/directory/controller/contact/form.js');

$this->angular('js/src/directory/controller/contact-email/contact-email.js');
$this->angular('js/src/directory/controller/job/job.js');
$this->angular('js/src/directory/directive/structureSelect.js');
$this->angular('js/src/directory/directive/contactSelect.js');
$this->angular('js/src/directory/directive/jobSelect.js');
$this->angular('js/src/directory/service/contact-email.js');
$this->angular('js/src/directory/service/job.js');
$this->angular('js/src/directory/service/link.js');

/** Fields */
$this->angular('js/src/field/service/fieldGroup.js');
$this->angular('js/src/field/service/fieldValue.js');
$this->angular('js/src/field/directive/customFields.js');
